qpid::management::ObjectId Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
qpid::management::ObjectId Class Reference

`#include <qpid/management/ManagementObject.h>`

List of all members.

## Public Member Functions
QPID_COMMON_INLINE_EXTERN | ObjectId ()
QPID_COMMON_INLINE_EXTERN | ObjectId (const types::Variant &map)
| ObjectId (uint8_t flags, uint16_t seq, uint32_t broker)
| ObjectId (AgentAttachment *_agent, uint8_t flags, uint16_t seq)
| ObjectId (std::istream &)
| ObjectId (const std::string &)
QPID_COMMON_INLINE_EXTERN | ObjectId (const std::string &agentAddress, const std::string &key, uint64_t epoch=0)
| ObjectId (uint8_t flags, uint16_t seq, uint32_t broker, uint64_t object)
bool | operator== (const ObjectId &other) const
bool | operator< (const ObjectId &other) const
void | mapEncode (types::Variant::Map &map) const
void | mapDecode (const types::Variant::Map &map)
| operator types::Variant::Map () const
QPID_COMMON_INLINE_EXTERN uint32_t | encodedSize () const
void | encode (std::string &buffer) const
void | decode (const std::string &buffer)
bool | equalV1 (const ObjectId &other) const
QPID_COMMON_INLINE_EXTERN void | setV2Key (const std::string &_key)
void | setV2Key (const ManagementObject &object)
QPID_COMMON_INLINE_EXTERN void | setAgentName (const std::string &_name)
QPID_COMMON_INLINE_EXTERN const std::string & | getAgentName () const
QPID_COMMON_INLINE_EXTERN const std::string & | getV2Key () const
## Protected Member Functions
void | fromString (const std::string &)
## Protected Attributes
const AgentAttachment * | agent
uint64_t | first
uint64_t | second
uint64_t | agentEpoch
std::string | v2Key
std::string | agentName
## Friends
std::ostream & | operator<< (std::ostream &, const ObjectId &)

## Constructor & Destructor Documentation

QPID_COMMON_INLINE_EXTERN qpid::management::ObjectId::ObjectId | ( |  | ) | `[inline]`

Definition at line 61 of file ManagementObject.h.

QPID_COMMON_INLINE_EXTERN qpid::management::ObjectId::ObjectId | ( | const types::Variant & | map | ) | `[inline]`

Definition at line 62 of file ManagementObject.h.

References mapDecode(), and qpid::types::Variant::asMap().

qpid::management::ObjectId::ObjectId | ( | uint8_t | flags,
|  | uint16_t | seq,
|  | uint32_t | broker
| ) |  |

qpid::management::ObjectId::ObjectId | ( | AgentAttachment * | _agent,
|  | uint8_t | flags,
|  | uint16_t | seq
| ) |  |

qpid::management::ObjectId::ObjectId | ( | std::istream & |  | ) |

qpid::management::ObjectId::ObjectId | ( | const std::string & |  | ) |

QPID_COMMON_INLINE_EXTERN qpid::management::ObjectId::ObjectId | ( | const std::string & | agentAddress,
|  | const std::string & | key,
|  | uint64_t | epoch = `0`
| ) |  | `[inline]`

Definition at line 68 of file ManagementObject.h.

qpid::management::ObjectId::ObjectId | ( | uint8_t | flags,
|  | uint16_t | seq,
|  | uint32_t | broker,
|  | uint64_t | object
| ) |  |

## Member Function Documentation

void qpid::management::ObjectId::decode | ( | const std::string & | buffer | ) |

void qpid::management::ObjectId::encode | ( | std::string & | buffer | ) | const

QPID_COMMON_INLINE_EXTERN uint32_t qpid::management::ObjectId::encodedSize | ( |  | ) | const`[inline]`

Definition at line 79 of file ManagementObject.h.

bool qpid::management::ObjectId::equalV1 | ( | const ObjectId & | other | ) | const

void qpid::management::ObjectId::fromString | ( | const std::string & |  | ) | `[protected]`

QPID_COMMON_INLINE_EXTERN const std::string& qpid::management::ObjectId::getAgentName | ( |  | ) | const`[inline]`

Definition at line 86 of file ManagementObject.h.

References agentName.

QPID_COMMON_INLINE_EXTERN const std::string& qpid::management::ObjectId::getV2Key | ( |  | ) | const`[inline]`

Definition at line 87 of file ManagementObject.h.

References v2Key.

void qpid::management::ObjectId::mapDecode | ( | const types::Variant::Map & | map | ) |

Referenced by ObjectId().

void qpid::management::ObjectId::mapEncode | ( | types::Variant::Map & | map | ) | const

qpid::management::ObjectId::operator types::Variant::Map | ( |  | ) | const

bool qpid::management::ObjectId::operator< | ( | const ObjectId & | other | ) | const

bool qpid::management::ObjectId::operator== | ( | const ObjectId & | other | ) | const

QPID_COMMON_INLINE_EXTERN void qpid::management::ObjectId::setAgentName | ( | const std::string & | _name | ) | `[inline]`

Definition at line 85 of file ManagementObject.h.

References agentName.

QPID_COMMON_INLINE_EXTERN void qpid::management::ObjectId::setV2Key | ( | const std::string & | _key | ) | `[inline]`

Definition at line 83 of file ManagementObject.h.

References v2Key.

void qpid::management::ObjectId::setV2Key | ( | const ManagementObject & | object | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const ObjectId & |
| ) |  | `[friend]`

## Member Data Documentation

const AgentAttachment* qpid::management::ObjectId::agent`[protected]`

Definition at line 53 of file ManagementObject.h.

uint64_t qpid::management::ObjectId::agentEpoch`[protected]`

Definition at line 56 of file ManagementObject.h.

std::string qpid::management::ObjectId::agentName`[protected]`

Definition at line 58 of file ManagementObject.h.

Referenced by setAgentName(), and getAgentName().

uint64_t qpid::management::ObjectId::first`[protected]`

Definition at line 54 of file ManagementObject.h.

uint64_t qpid::management::ObjectId::second`[protected]`

Definition at line 55 of file ManagementObject.h.

std::string qpid::management::ObjectId::v2Key`[protected]`

Definition at line 57 of file ManagementObject.h.

Referenced by setV2Key(), and getV2Key().

The documentation for this class was generated from the following file:

- qpid/management/ManagementObject.h